View Issue Details

IDProjectCategoryView StatusLast Update
0003982Slicer4Core: Diffusion and Tractography (Any modules)public2015-11-02 10:27
ReporterlaurenAssigned Tolauren 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSlicer 4.4.0 
Target VersionFixed in Version 
Summary0003982: latest UKF code does not work as extension
Description

The UKF code successfully built and installed as a Slicer module in summer 2014.

This frozen code stopped working due to a change in the required path for a library:
dyld: Library not loaded: @rpath/lib/Slicer-4.4/libvtkGUISupportQtOpenGL-6.2.1.dylib
SOLUTION: Something is wrong with the @rpath. The lib is here now:
alegria:Contents lauren$ pwd
/Applications/Slicer.app/Contents
alegria:Contents lauren$ ls ./lib/Slicer-4.4/libvtkOpenGL-6.2.1.dylib

On bug fix is to use this frozen UKF version and fix the @rpath.

We tested a second option: Peter updated the tag to point to the latest UKF code, to test that in the nightly. UKF successfully built ( slicer.cdash.org).

However, changes to the codebase (UKF and/or Slicer) now prevent it from installing completely as follows:

There is first an error (warning) about Eigen not found (also present in the previous version). Then, the "Restart" button remains grayed-out. On a manual restart of Slicer, the extension manager says UKF has installed, but the module does not appear.

Additional Information

Details from Peter about the partially-installed extension:

One thing I noticed is that in Contents/Extensions-24160/UKFTractography/ there is only one subfolder, called 'share', which contains a single file, the .s4ext file which is just a description of the extension.

In contrast, in an earlier version of Slicer4.3 where I successfully had installed the previous version of the extension, I have both the 'share' folder, as well as a 'lib' folder where the actual code for the extension resides. So it seems that in the present case, nothing was really installed, except the description file.

TagsNo tags attached.

Activities

lauren

lauren

2015-11-02 09:49

developer   ~0013490

This is fixed now. See UKF github for commit:
https://github.com/pnlbwh/ukftractography/commit/3d24f89a045ba25a661a5ca93912b348ce0345c6

Issue History

Date Modified Username Field Change
2015-04-08 12:03 lauren New Issue
2015-11-02 09:49 lauren Note Added: 0013490
2015-11-02 09:49 lauren Resolution open => fixed
2015-11-02 09:51 lauren Status new => resolved
2015-11-02 10:27 lauren Assigned To => lauren
2016-02-29 13:48 jcfr Category Extension: UKFTractography => Core: Diffusion & Tractography
2016-02-29 14:05 jcfr Category Core: Diffusion & Tractography => Core: Diffusion & Tractography (Any modules)
2016-06-20 14:14 jcfr Category Core: Diffusion & Tractography (Any modules) => Core: Diffusion and Tractography (Any modules)